Initiate USSD push
Initiate USSD push
- application/json
Request Body required
- appId UssdAppId required
Application identifier
- msisdn object
MSISDN (phone number), available formats:
+234'10 digits'- for example:+2341234567890234'10 digits'- for example:2341234567890+0'10 digits'- for example:+012345678900'10 digits'- for example:01234567890'10 digits'- for example:1234567890
- contextData UssdAppContextData required
additional data that will be passed to USSD app
- 200
- 400
- 401
- 403
- 500
Successful push initiation
- application/json
- Schema
- Example (from schema)
- UssdAppPushResponseSuccessWithRecoveryToken
- UssdAppPushResponseSuccessWithoutRecoveryToken
Schema
- sessionId UssdAppSessionId required
USSD app session ID
- recoveryShortcode RecoveryShortcode
USSD string with recovery token, which can be used by user to dial in when USSD push won't be delivered
{
"sessionId": "DA01C47A-A21E-479A-A848-AD2A46FD2C6F",
"recoveryShortcode": "*425*123*55555#"
}
Success push response with recovery token
{
"sessionId": "8a444af8-4b03-4545-8677-2a6c924bdddb",
"recoveryShortcode": "*425*123*12345#"
}
Success push response without recovery token
{
"sessionId": "8a444af8-4b03-4545-8677-2a6c924bdddb",
"recoveryShortcode": null
}
Request was malformed
- application/json
- Schema
- Example (from schema)
- UssdAppPushResponseBadRequestAppNotFound
- UssdAppPushResponseBadRequestInsufficientBalance
Schema
- code string required
Error code
- message string required
Human readble error message
{
"code": "MISSING_PERMISSION",
"message": "You don't have proper permission to perform the operation"
}
Application with given ID not found
{
"code": "APP_NOT_FOUND",
"message": "Cannot find application with given appId = [a12u3ui]"
}
Insufficient balance in developer's virtual purse
{
"code": "INSUFFICIENT_BALANCE_IN_VIRTUAL_PURSE",
"message": "You don't have sufficient balance in your virtual purse to perform USSD push"
}
Your authentication data are invalid or not provided
You don't have proper permission to invoke this operation
- application/json
- Schema
- Example (from schema)
- UssdAppPushResponseForbidden
Schema
- code string required
Error code
- message string required
Human readble error message
{
"code": "MISSING_PERMISSION",
"message": "You don't have proper permission to perform the operation"
}
Forbidden - client doesn't have permission to initiate push
{
"code": "MISSING_PERMISSION",
"message": "You don't have proper permission to perform the operation"
}
Push was not sent
- application/json
- Schema
- Example (from schema)
- UssdAppPushResponsePushNotSent
Schema
- code string required
Error code
- message string required
Human readble error message
{
"code": "MISSING_PERMISSION",
"message": "You don't have proper permission to perform the operation"
}
Push initiation failed due
{
"code": "CANNOT_INITIATE_PUSH",
"message": "No push message was sent to customer. Push initiation failed."
}